BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Bug #17774

[BCR1098][Android][Bill Payment Fav][Manage Fav] Nickname and Bill No./Ref should not be able to
input special characters

13 September 2023 03:20 PM - Feerman Yusoff

Status: Closed Start date: 13 September 2023
Priority: Normal Due date:

Assignee: wanansari wanansari % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

Steps:

1. Click Settings and go to Manage Favourites

2. Select Bill Payment

3. Click Add to Favourites

4. Input special characters in Nickname and Bill No./Ref field

Issue: Able to input special characters (refer attached image)

Expected: Nickname and Bill No./Ref field should not be able to input special characters except only "space”

History

#1 - 14 September 2023 12:08 PM - Abdul Halim Baharom
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 14 September 2023 12:25 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Feerman Yusoff
Fixed

#3 - 15 September 2023 11:15 AM - Feerman Yusoff

- File ABLE TO INPUT SPECIAL CHARACTERS.jpg added

- Assignee changed from Feerman Yusoff to Abdul Halim Baharom

- % Done changed from 100 to 50

Failed, still able to input special character in nickname

Expected: Shouldn't be able at all to key in the special characters in nickname field

#4 - 21 September 2023 10:30 AM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Feerman Yusoff

Fixed

#5 - 21 September 2023 10:30 AM - Abdul Halim Baharom
- % Done changed from 50 to 100

#6 - 21 September 2023 06:49 PM - Feerman Yusoff
- File able to input special char.jpg added

20 April 2025 1/2




- Status changed from Resolved to New

- Assignee changed from Feerman Yusoff to Abdul Halim Baharom

Failed, still able to input special character in Ref 2, Ref 3

#7 - 22 September 2023 11:43 AM - Abdul Halim Baharom

- Status changed from New to Resolved

not specified in wireframe.
Fixed.

#8 - 22 September 2023 07:50 PM - Abdul Halim Baharom

- Assignee changed from Abdul Halim Baharom to Feerman Yusoff
#9 - 25 September 2023 06:41 PM - Feerman Yusoff

- Status changed from Resolved to Closed

- Assignee changed from Feerman Yusoff to wanansari wanansari

Tested good

Files

able to add special char.jpg 132 KB13 September 2023 Feerman Yusoff
ABLE TO INPUT SPECIAL CHARACTERS.jpg 131 KB15 September 2023 Feerman Yusoff
able to input special char.jpg 107 KB21 September 2023 Feerman Yusoff
